webdevqa.jp.net

TensorFlowはpipを使用して見つかりません

私はpipを使用してTensorFlowをインストールしようとしています:

$ pip install tensorflow --user
Collecting tensorflow
Could not find a version that satisfies the requirement tensorflow (from versions: )
No matching distribution found for tensorflow

何が間違っていますか?これまでのところ、Pythonとpipを問題なく使用しました。

470
user6574649

約3時間インターネットを検索した後、私はこれがついにうまくいくことがわかりました。

python3 -m pip install --upgrade https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-1.12.0-py3-none-any.whl

編集1: Windows(8,8.1,10)、MacおよびLinuxでテスト済み設定に応じてpython3pythonに変更します。 Python2.xを使用している場合は、URLのpy3py2に変更してください。

編集2:誰かが必要とする場合の異なるバージョンのリスト: https://storage.googleapis.com/tensorflow

編集3:利用可能なホイールパッケージのURLのリストはこちらから入手できます。 https://www.tensorflow.org/install/pip#package-location

543

あなたは64ビット版のPythonが必要で、あなたの場合は32ビット版を使っています。現時点では、TensorflowはWindows上で64-bit versions of Python 3.5.x and 3.6.xしかサポートしていません。

実行しているPythonのバージョンを確認するには、pythonまたはpython3と入力してインタプリタを起動し、import struct;print(struct.calcsize("P") * 8)と入力すると、実行しているPythonのビットバージョンを示す32または64が表示されます。

194
rocket1037

正しいバージョンのPythonとpipを使う必要があります

Windows 10では、Python 3.6.Xバージョンで私は同じことに直面していましたが、慎重にチェックした後、私は私の64ビットマシンにPython-32ビットインストールがあることに気付きました。 TensorFlowは 64bit pythonのインストールとのみ互換性があることを忘れないでください。 Pythonの32ビットではない

Image

Python.orgからPythonをダウンロードすると、デフォルトのインストールは32ビットになります。したがって、64ビット版のPythonをインストールするには、64ビット版のインストーラを手動でダウンロードする必要があります。そして、以下をPATH環境に追加してください。

C:\Users\AppData\Local\Programs\Python\Python36
C:\Users\AppData\Local\Programs\Python\Python36\Scripts

次に、コマンドプロンプトでgpupdate /Forceを実行します。 pythonコマンドが64ビットで動作しない場合は、マシンを再起動してください。

次にコマンドプロンプトでpythonを実行します。 64ビットが表示されるはずです

C:\Users\YOURNAME>python
Python 3.6.3 (v3.6.3:2c5fed8, Oct  3 2017, 18:11:49) [MSC v.1900 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.

その後、以下のコマンドを実行してtensorflow CPUバージョンをインストールします(推奨)

pip3 install --upgrade tensorflow

アップデート - Python 3.7

現在公式にサポートされているのはPython 3.5とPython 3.6だけです。 TensorflowはまだPython 3.7のバイナリを正式にリリースしていません。リリースされるまで少し待つ必要があるかもしれません。 Python 3.6.xとあわせて使用​​することも、しばらくの間はAnacondaとPython <3.7の仮想環境を併用することもできます。

55
Prateek

Windowsマシンにインストールしようとしているのなら、64ビット版のPython 3.5が必要です。これが実際にインストールする唯一の方法です。 ウェブサイト :から

TensorFlowはWindows上で64ビットのPython 3.5のみをサポートします。我々はpipパッケージを以下のPythonのディストリビューションでテストしました。

アナコンダのPython 3.5

Python.orgからのPython 3.5。

here から適切なバージョンのpythonをダウンロードすることができます( "Windows x86-64"と書かれているものの1つを入手してください)。

これでpip install tensorflowまたはpython -m pip install tensorflowでインストールできるはずです(python2とpython3の両方がインストールされている場合は、python3から正しいpipを使用していることを確認してください)

3-5.3.0である最新バージョンとしてAnaconda 3-5.2.0をインストールすることを忘れないでください。Tensorflowではサポートされていないpythonバージョン3.7があります。

40
Buzz

TensorflowのWebサイトから: "以下のコマンドを使うにはpip version 8.1以降が必要です。このコマンドを実行してpipをアップグレードしてから、もう一度install tensorflowを試してください。

pip install --upgrade pip
38
Bang

TensorFlow 1.12.0はPythonバージョン3.5.2でしか動作しないことがわかりました。私はPython 3.7を持っていましたが、それはうまくいきませんでした。それで、私はPythonをダウングレードしなければならなくて、それから私はそれが働くTensorFlowをインストールすることができました。

Pythonのバージョンを3.7から3.6にダウングレードする

conda install python=3.6.8
28
Sujoy

2016年11月28日更新: TensorFlowがPyPIで利用可能になりました。リリース0.12からです。あなたが入力することができます

pip install tensorflow

...または...

pip install tensorflow-gpu

... TensorFlowのCPU専用バージョンまたはGPUアクセラレーションバージョンをそれぞれインストールします。


前回の回答: TensorFlowはまだ PyPI リポジトリに入っていないので、オペレーティングシステムとPythonのバージョンに適した "wheelファイル"へのURLを指定する必要があります。

サポートされている設定の完全なリストは TensorFlowウェブサイト にリストされていますが、例えばLinux上のPython 2.7にバージョン0.10をインストールするには、CPUのみを使用して、次のコマンドを入力します。

$ pip install https://storage.googleapis.com/tensorflow/linux/cpu/tensorflow-0.10.0rc0-cp27-none-linux_x86_64.whl
17
mrry

私は同じ問題を抱えており、これで解決しました:

# Ubuntu/Linux 64-bit, CPU only, Python 2.7
(tensorflow)$ export TF_BINARY_URL=https://storage.googleapis.com/tensorflow/linux/cpu/tensorflow-0.12.1-cp27-none-linux_x86_64.whl

# Ubuntu/Linux 64-bit, GPU enabled, Python 2.7
# Requires CUDA toolkit 8.0 and CuDNN v5. For other versions, see "Installing from sources" below.

# Mac OS X, CPU only, Python 2.7:
(tensorflow)$ export TF_BINARY_URL=https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-0.12.1-py2-none-any.whl

# Mac OS X, GPU enabled, Python 2.7:
(tensorflow)$ export TF_BINARY_URL=https://storage.googleapis.com/tensorflow/mac/gpu/tensorflow_gpu-0.12.1-py2-none-any.whl

# Ubuntu/Linux 64-bit, CPU only, Python 3.4
(tensorflow)$ export TF_BINARY_URL=https://storage.googleapis.com/tensorflow/linux/cpu/tensorflow-0.12.1-cp34-cp34m-linux_x86_64.whl

# Ubuntu/Linux 64-bit, GPU enabled, Python 3.4
# Requires CUDA toolkit 8.0 and CuDNN v5. For other versions, see "Installing from sources" below.
(tensorflow)$ export TF_BINARY_URL=https://storage.googleapis.com/tensorflow/linux/gpu/tensorflow_gpu-0.12.1-cp34-cp34m-linux_x86_64.whl

# Ubuntu/Linux 64-bit, CPU only, Python 3.5
(tensorflow)$ export TF_BINARY_URL=https://storage.googleapis.com/tensorflow/linux/cpu/tensorflow-0.12.1-cp35-cp35m-linux_x86_64.whl

# Requires CUDA toolkit 8.0 and CuDNN v5. For other versions, see "Installing from sources" below.
(tensorflow)$ export TF_BINARY_URL=https://storage.googleapis.com/tensorflow/linux/gpu/tensorflow_gpu-0.12.1-cp35-cp35m-linux_x86_64.whl

# Mac OS X, CPU only, Python 3.4 or 3.5:
(tensorflow)$ export TF_BINARY_URL=https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-0.12.1-py3-none-any.whl

# Mac OS X, GPU enabled, Python 3.4 or 3.5:
(tensorflow)$ export TF_BINARY_URL=https://storage.googleapis.com/tensorflow/mac/gpu/tensorflow_gpu-0.12.1-py3-none-any.whl

プラス:

# Python 2
(tensorflow)$ pip install --upgrade $TF_BINARY_URL

# Python 3
(tensorflow)$ pip3 install --upgrade $TF_BINARY_URL

Docs にあります。

アップデート!

新しいバージョンへの新しいリンクがあります

たとえば、OSXにtensorflow v1.0.0をインストールするには、次のようにします。

https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-1.0.0-py2-none-any.whl

の代わりに

https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-0.12.1-py2-none-any.whl
11
Andres

Macにインストールしようとしたときに同じエラーが発生しました(Python 2.7を使用)。このページの別の回答Yash Kumar Vermaによると、ここで提供しているものと同様のソリューションは、Windows 8.1のPython 3でも機能するように見えました。

ソリューション

ステップ1:TensorFlow PythonパッケージのURL セクションTensorFlowインストールページを開き、Pythonインストールに関連するリンクのURLをコピーします。

ステップ2:ターミナル/コマンドプロンプトを開き、次のコマンドを実行します。
pip install --upgrade [paste copied url link here]

だから私にとっては次のとおりでした:
pip install --upgrade https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-1.2.0-py2-none-any.whl

更新(2017年7月21日):Python 3.6を使用してWindowsマシンで実行している他の一部のユーザーとこれを試して、ステップ2に:python -m pip install [paste copied url link here]

Update(2018年7月26日):Python 3.6.2(TF Documentationの3.6.2であるため3.7ではありません)では、次のことができます。 ステップ2pip3 install --upgrade [paste copied URL here]も使用します。

11
Jonny Brooks

Python 3.5.x 64ビットAMD版 here をインストールしてください。 PATH変数にPhythonを追加してください。それからコマンドプロンプトを開き、タイプしなさい 

python -m pip install --upgrade pip

次のような結果になるはずです。

 Collecting pip
 Using cached pip-9.0.1-py2.py3-none-any.whl
 Installing collected packages: pip
 Found existing installation: pip 7.1.2
 Uninstalling pip-7.1.2:
 Successfully uninstalled pip-7.1.2
 Successfully installed pip-9.0.1

今タイプ 

 pip3 install --upgrade tensorflow
10

これを試してください、それは動作するはずです:

 python.exe -m pip install --upgrade https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-0.12.0-py3-none-any.whl
8
HISI

これを試して:

export TF_BINARY_URL=https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-0.12.1-py3-none-any.whl
pip3 install --upgrade $TF_BINARY_URL

ソース: https://www.tensorflow.org/get_started/os_setup (ページはもう存在しません)

更新日2/23/17ドキュメントは次の場所に移動しました: https://www.tensorflow.org/install

7
David

私は同じ問題を抱えていました。 32ビット版のpythonをアンインストールし、64ビット版を再インストールした後、TensorFlowを再インストールしてみましたが、うまくいきました。

TensorFlowガイドへのリンク: https://www.tensorflow.org/install/install_windows

6
Stephen
  1. パスにPythonを追加をチェックしてpythonをインストールします。
  2. pip3インストール--upgrade https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-0.12.0-py3-one-any.whl

これはWindows 10.0で動作します

6
Dinesh Karn

最近この問題に遭遇した場合(例えば、2018年にPython 3.7がリリースされた後)、これはおそらくテンソルフロー側からの(まだ)Python 3.7サポートの欠如が原因です。気にしないのであれば、代わりにPython 3.6を使ってみてください。 https://github.com/tensorflow/tensorflow/issues/20444 から見つけることができるいくつかのトリックがありますが、あなた自身の責任でそれらを使用してください。私は提案したものを使用しました - 最初にPython 3.6用のテンソルフローホイールをダウンロードしてから手動で名前を変更しました...

cp tensorflow-1.11.0-cp36-cp36m-linux_x86_64.whl tensorflow-1.11.0-cp37-cp37m-linux_x86_64.whl
pip install tensorflow-1.11.0-cp37-cp37m-linux_x86_64.whl

良いニュースは、3.7のサポートに対するプルリクエストがすでにあることです。それがもうすぐリリースされることを願っています。

6
zinc

Anacondaにtensorflowをインストールしようとしているのにそれが機能しない場合は、anacondaには最新バージョンがあるのに対して3.6.xのみが現在サポートされているので、pythonバージョンをダウングレードする必要があるかもしれません。

  1. pythonのバージョンを確認する:python --version

  2. version> 3.6.xの場合は手順3に進み、それ以外の場合は停止します。問題は別の場所にある可能性があります。

  3. conda search python

  4. conda install python=3.6.6

  5. バージョンをもう一度確認してください:python --version

  6. バージョンが正しい場合は、テンソルフローをインストールします(ステップ7)

  7. pip install tensorflow

6
ACV

あなたはそれをインストールすることができます:

pip3 install --upgrade tfBinaryURL  # Python 3.n

tfBinaryURLの最新バージョンは次のとおりです。

https://www.tensorflow.org/install/install_mac#the_url_of_the_tensorflow_python_package

GoogleのTFの手順のポイント7を参照してください。

ステップ6が失敗した場合(通常は8.1より低いのpipバージョンを呼び出したため)、次の形式のコマンドを発行してを実行してTensorFlowをアクティブなVirtualenv環境にインストールします。

pip3 install --upgrade tfBinaryURL  # Python 3.n

2018年7月の例として:

pip3 install --upgrade https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-1.8.0-py3-none-any.whl
5
user305883

残念ながら、私の評判は@Sujoyの答えの下で指揮するのが低いことです。

彼らの文書で彼らはpython 3.6をサポートしていると主張しています。これは私がtensorflowをインストールしようとしているものです:

Microsoft Windows [Version 10.0.16299.371]
(c) 2017 Microsoft Corporation. All rights reserved.

C:\>python3 -m pip install --upgrade pip
Requirement already up-to-date: pip in d:\python\v3\lib\site-packages (10.0.0)

C:\>python3 -m pip -V
pip 10.0.0 from D:\Python\V3\lib\site-packages\pip (python 3.6)

C:\>python3 -m pip install --upgrade tensorflow
Collecting tensorflow
Could not find a version that satisfies the requirement tensorflow (from versions: )
No matching distribution found for tensorflow

python 3.5が正常にインストールされているようです。私はpython3.6もそれがpython3.6で動作するはずだと主張しているので私はpython3.6のバージョンを見たいのですが。

引用:

"TensorFlow supports Python 3.5.x and 3.6.x on Windows. Note that Python 3 comes with the pip3 package manager, which is the program you'll use to install TensorFlow."

ソース: https://www.tensorflow.org/install/install_windows

Python 3.5インストール:

Microsoft Windows [Version 10.0.16299.371]
(c) 2017 Microsoft Corporation. All rights reserved.

C:\>python3 -m pip install --upgrade pip
Requirement already up-to-date: pip in d:\python\v3\lib\site-packages (10.0.0)

C:\>python3 -m pip -V
pip 10.0.0 from D:\Python\V3_5\lib\site-packages\pip (python 3.5.2)

C:\>python3 -m pip install --upgrade tensorflow
Collecting tensorflow
  Downloading 
    ....
    ....

私はここでひどく間違っていることを願っていますが、そうでない場合は警報ベルを鳴らす? 

編集:誰かの下のいくつかの投稿では、次のコマンドがうまくいくと指摘しました。

python3 -m pip install --upgrade https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-0.12.0-py3-none-any.whl

奇妙なピップが機能していません?

4
Annihilator708

これは私にとってMac OS X Yosemite 10.10.5上のPython 2.7でうまくいった。

Sudo pip install --upgrade https://storage.googleapis.com/tensorflow/mac/tensorflow-0.5.0-py2-none-any.whl
3
Amit

Anaconda Pythonインストールを使用している場合、pip install tensorflowは上記のエラーを表示します。

Collecting tensorflow
Could not find a version that satisfies the requirement tensorflow (from versions: )
No matching distribution found for tensorflow

TensorFlowのインストールページによると、pip installを実行するときに--ignore-installedフラグを使う必要があります。 

ただし、これを実行する前に、この link を参照して、TF_BINARY_URL変数が、インストールしたいTensorFlowの希望するバージョンに関連して正しく設定されていることを確認してください。

3
tallamjr

私は同じ問題に直面していました。私は以下を試してみましたそれはうまくいきました。

pip uninstall tensorflow export TF_BINARY_URL=<get the correct url from http://tflearn.org/installation/> pip install --upgrade $TF_BINARY_URL

インストールされているtensorflow-1.0.0

2
kavini

PyCharmユーザーの場合:

  1. Pipのバージョンを確認します。 pip3 -V
  2. Pipが9.0.1より古い場合: py -3 -m pip install --upgrade pip
  3. それから: ** py -3 -m pip install --upgrade

https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-0.12.0-py3-one-any.whl **

2
Alex Gore

窓のためにこれは私のために働きました、

この link からホイールをダウンロードしてください。それからコマンドラインからホイールが存在するあなたのダウンロードフォルダにナビゲートし、単に以下のコマンドを入力してください -

pip install tensorflow-1.0.0-cp36-cp36m-win_AMD64.whl

2
Ic3fr0g

以下にWindowsにTensorFlowをインストールするためのURLがあります。私にとってはうまくいった。

python -m pip install --upgrade https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-0.12.0-py3-none-any.whl
2
NEELAMADHAB
  1. 管理者権限でコマンドプロンプトを起動する
  2. 次のコマンドを入力してくださいpython -m pip install --upgrade pip
  3. コマンドpip install tensorflowを入力してください
2
Croko

注:この回答はCygwinユーザー向けです

ここにある他のどれも私のユースケースでは機能しなかったため、この答えを残しました(* nix-on-Windowsターミナル環境を使用して、virtualenv、cygwinにテンソルフローをインストールします( http://www.cygwin.com/ =))(回答ページの少なくとも単純なcontrol+Fには何も見つかりませんでした)。

TLDR:cygwinターミナルでvirtualenvを使用している場合、cygwinにtensorflowのインストールに問題があるようで、これで指定されたエラーをスローします。投稿の質問(同様の感情がここにあります( https://stackoverflow.com/a/45230106/82367 )(同様の原因、異なるエラー))。 Windowsコマンドプロンプトでvirtualenvを作成することで解決しました。次に、source ./Scripts/activateを介してcygwin端末からvirtualenvにアクセス/アクティブ化して、Windows(cygwinではない)のPythonを使用できます。


Cygwinのpython3を使用してテンソルフローの使用を試みる場合、たとえば何かのようなもの...

apt-cyg install python3-devel
cd python-virtualenv-base
virtualenv -p `which python3` tensorflow-examples

cygwinのpythonを使用したtensorflow-gpuパッケージのインストールに問題があることがわかりました。エラーが表示されていました

$ pip install tensorflow --user
Collecting tensorflow
Could not find a version that satisfies the requirement tensorflow (from versions: )
No matching distribution found for tensorflow

多くの提案された解決策がありますが、私の場合はどれも助けませんでした(それらはすべての線に沿っています)「おそらく32ビットアーキテクチャ用のpython3がインストールされています、テンソルフローには64ビットが必要です」またはその他のpythonミスマッチの間違い(ここでは、cygwinのpythonがtensorflow-gpuをインストールする際に問題があったようです))。

最終的に私のために働いていたのはやっていた...

  1. Windowsシステムの公式のWindowsの方法でpython3をインストールします(cygwinシステムは別なので、異なるPythonを使用します)
  2. Windows(cygwinターミナルではない)でコマンドプロンプトを開き、実行します...
C:\Users\me\python-virtualenvs-base>python
Python 3.6.2 (v3.6.2:5fd33b5, Jul  8 2017, 04:57:36) [MSC v.1900 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> exit()

C:\Users\me\python-virtualenvs-base>pip -V
pip 9.0.1 from c:\users\me\appdata\local\programs\python\python36\lib\site-packages (python 3.6)

C:\Users\me\python-virtualenvs-base>pip install virtualenv
Collecting virtualenv
  Downloading https://files.pythonhosted.org/packages/b6/30/96a02b2287098b23b875bc8c2f58071c35d2efe84f747b64d523721dc2b5/virtualenv-16.0.0-py2.py3-none-any.whl (1.9MB)
    100% |████████████████████████████████| 1.9MB 435kB/s
Installing collected packages: virtualenv
Successfully installed virtualenv-16.0.0
You are using pip version 9.0.1, however version 18.0 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

C:\Users\me\python-virtualenvs-base>virtualenv tensorflow-examples
Using base prefix 'c:\\users\\me\\appdata\\local\\programs\\python\\python36'
New python executable in C:\Users\me\python-virtualenvs-base\tensorflow-examples\Scripts\python.exe
Installing setuptools, pip, wheel...done.
  1. 次に、cygwinターミナルに戻り、コマンドプロンプトで作成したvirtualenvに戻って実行します...
    ➜  tensorflow-examples source ./Scripts/activate
    (tensorflow-examples) ➜  tensorflow-examples python -V
    Python 3.6.2
    (tensorflow-examples) ➜  tensorflow-examples pip install tensorflow-gpu
    Collecting tensorflow-gpu
      Downloading 
      ....

Cygwinの擬似Linux環境でvirtualenvをcreatedした場合のように、virtualenvでsource ./bin/activateを実行しないことに注意してください。代わりにsource ./Scripts/activateを実行します。

1

Tensorflow Webサイトからの抜粋 https://www.tensorflow.org/install/install_windows

ネイティブpipでインストールする

次のバージョンのPythonがマシンにインストールされていない場合は、今すぐインストールしてください。

Python.orgのPython 3.5.x TensorFlowはWindows上のPythonのバージョン3.5.xのみをサポートします。 Python 3.5.xには、TensorFlowのインストールに使用するプログラムであるpip3パッケージマネージャが付属しています。

TensorFlowをインストールするには、端末を起動してください。その後、その端末で適切なpip3 installコマンドを発行します。 TensorFlowのCPU専用バージョンをインストールするには、次のコマンドを入力してください。

C:\> pip3 install --upgrade tensorflow
To install the GPU version of TensorFlow, enter the following command:

C:\> pip3 install --upgrade tensorflow-gpu
1
Ravinder Payal

あなたはこれを試すことができます

pip install --upgrade tensorflow
1
Mohammad Nurdin

私の環境:勝利10、python 3.6 

pip3 install --upgrade tensorflow
pip install --upgrade tensorflow

エラーあり

> Collecting tensorflow Could not find a version that satisfies the
> requirement tensorflow (from versions: ) No matching distribution
> found for tensorflow

私はpip install tensorflowpip install tensorflow-gpuも試しました。

> Could not find a version that satisfies the requirement tensorflow (from versions: ) No matching distribution found for tensorflow
> Could not find a version that satisfies the requirement tensorflow-gpu (from versions: ) No matching distribution found for tensorflow-gpu

Step :で試してもインストールはOKです( https://www.tensorflow.org/install/install_windows

  1. Anacondaダウンロードサイトの指示に従ってをダウンロードし、Anacondaをインストールします。 https://www.continuum.io/downloads

  2. 次のコマンドを呼び出して、tensorflowという名前のconda環境を作成します。

    C:> conda create -n tensorflow pip python=3.5 
    
  3. 以下のコマンドを発行して、conda環境を活動化します。

    C:> activate tensorflow
     (tensorflow)C:>  # Your Prompt should change 
    
  4. 適切なコマンドを発行して、 conda環境内にTensorFlowをインストールします。 TensorFlowのCPU専用バージョンをインストールするには、次のコマンドを入力してください。

    (tensorflow)C:> pip install --ignore-installed --upgrade tensorflow 
    

    GPU版のTensorFlowをインストールするには、次のコマンドを(単一行で)入力します。

    (tensorflow)C:> pip install --ignore-installed --upgrade tensorflow-gpu 
    
1
TinhNQ

これが私の環境です(Windows 10とNVIDIA GPU)。 TensorFlow 1.12-gpuをインストールしようとしましたが、何度も失敗しましたが、以下の方法で解決することができました。

これは、Windows 10システムにTensorFlow-GPUをインストールするのに役立ちます

ステップ:

  1. NVIDIAグラフィックカードを持っていることを確認してください

a。 Windowsのエクスプローラに行き、デバイスマネージャを開いてください - > "Display Adapters"をチェックしてください - > GPUがあれば表示されます(例:NVIDIA GeForce)それ以外は "HD Graphics"を表示します

b。 GPUがAMDの場合、テンソルフローはAMDのGPUをサポートしません

  1. GPUをお持ちの場合は、そのGPUがCUDA機能をサポートしているかどうかを確認してください。

a。あなたがこのリンクであなたのGPUモデルを見つけたならば、それはCUDAをサポートします。

b。あなたがCUDA対応のGPUを持っていないなら、あなたは(gpuなしで)tensorflowだけをインストールすることができます

  1. Tensorflowはpython-64bit版を必要とします。 Pythonの依存関係をアンインストールする

a。 [コントロールパネル] - > [プログラムと機能]を​​検索し、[python]を検索します。

b。 anacondaとpythons関連のプラグインのようなものをアンインストールします。これらの依存関係はtensorflow-GPUのインストールを妨げる可能性があります。

c。 pythonがアンインストールされていることを確認してください。コマンドプロンプトを開き、「python」と入力してエラーが発生したら、システムにはpythonがなく、pythonを新たにインストールすることができます。

  1. 新たにpythonをインストールする

a.TF1.12はPython 3.6.6までをサポートします。 Windows x86-64実行可能インストーラをダウンロードするには、ここをクリックしてください。

b。インストール中に「Python 3.6をPATHに追加」を選択し、「今すぐインストール」をクリックします。

enter image description here

c。 pythonのインストールが成功した後、インストールウィンドウはパスの長さの制限を無効にするオプションを提供します。これはWindows 10環境でのTensorflowビルド/インストールの問題の根本的な原因の1つです。 [パスの長さの制限を無効にする]をクリックして、指示に従ってインストールを完了します。

enter image description here

d。 pythonが正しくインストールされたかどうかを確認してください。コマンドプロンプトを開き、「python」と入力します。 Pythonのバージョンが表示されるはずです。

enter image description here

  1. Visual Studioをインストールする

Visual Studio 2017コミュニティ

a。上の「Visual Studioリンク」をクリックしてください。Visual Studio 2017コミュニティをダウンロードしてください。

b。左側の「Visual Studio IDE」の下で、「community 2017」を選択してダウンロードします。

c。インストール中に、「C++によるデスクトップ開発」を選択してインストールします。

  1. CUDA 9.0ツールキット

https://developer.nvidia.com/cuda-90-download-archive?target_os=Windows&target_Arch=x86_64&target_version=10&target_type=exelocal

a。上記の「Link to CUDA 9.0 toolkit」をクリックし、「Base Installer」をダウンロードしてください。

b。 CUDA 9.0をインストールする

  1. CuDNNをインストール

https://developer.nvidia.com/cudnn

a。 「インストールcuDNNへのリンク」をクリックして、「cuDNNソフトウェア使用許諾契約の条項に同意します」を選択します。

b。ログイン登録し、メールアドレスを確認してメールアドレスを確認します

c。 「cuDNNダウンロード」をクリックし、短い調査に記入して「cuDNNダウンロード」ページにアクセスします。

d。 「cuDNNソフトウェア使用許諾契約の条項に同意します」を選択します。

e。 「CUDA 9.0用にcuDNN v7.5.0をダウンロードする(2019年2月21日)」を選択します。

f。ドロップダウンで、[Windows 10用cuDNNライブラリ]をクリックしてダウンロードします。

g。ファイルがダウンロードされたフォルダに移動し、ファイルを解凍します。

enter image description here

h。抽出したファイル内に3つのフォルダー(bin、include、lib)を環境に追加します。

enter image description here

私。 Windows 10の検索バーに「environment」と入力して「Environment Variables」を探し、「User variable」セクションの「Path」をクリックして「Edit」をクリックし、「New」を選択して3つの「cuda」フォルダに追加します。

j。 「環境変数」ウィンドウを閉じます。

  1. Tensorflow-gpuをインストールしてください。

a。コマンドプロンプトを開き、「pip install --upgrade tensorflow-gpu」と入力します。

b。 tensorflow-gpuをインストールします

  1. 正しくインストールされたかどうかを確認してください。

a。コマンドプロンプトで「python」と入力します。

b。 “ import tensorflow to tf”と入力します。

c。 hello = tf.constant( 'Hello World!')

d。 sess = tf.Session()

e。 print(sess.run(hello)) - >ハローワールド!

  1. テンソルフローがGPUを使用しているかどうかをテストする

a。 tensorflow.python.clientからインポートdevice_lib print(device_lib.list_local_devices())

b。 print(device_lib.list_local_devices())

私はOSX Sierra 10.12.2でこの問題を抱えていました。間違ったバージョンのPythonがインストールされていることがわかりました(私はPython 3.4を持っていましたが、OSX用のtensorflow pypiパッケージはpython 3.5以上でしか使えません)。 

解決策はPython 3.6をインストールすることでした。これがうまくいくように私がしたことです。 注:私はPython 3.6のインストールにHomebrewを使用しました。python.orgの Python 3.6インストーラーを使用しても同じことができます

brew uninstall python3
brew install python3
python3 --version # Verify that you see "Python 3.6.0"
pip install tensorflow # With python 3.6 the install succeeds
pip install jupyter # "ipython notebook" didn't work for me until I installed jupyter
ipython notebook # Finally works!
1
Julia Schwarz

現在PIPには32bit版のtensorflowがありません。python 32bitをアンインストールしてx64をインストールしたときに機能しました

1
FabioLux

以下の手順でtensorflowとkerasをインストールすることができます。

  1. https://repo.anaconda.com/archive/ からpython 3.6が付属しているAnaconda3-5.2.0をダウンロードする
  2. AnacondaをインストールしてAnaconda Promptを開き、以下のコマンドを実行します。 conda install jupyter conda install scipy pip install sklearn pip install msgpack pip install pandas pip install pandas-datareader pip install matplotlib pip install pillow pip install requests pip install h5py pip install tensorflow pip install keras
1
Vaibhav Sharma
1
saravanan mp

Windows 10では、ここでは何も機能しませんでした。おそらく以下の更新された解決策が私のために機能しました。

python -m pip install --upgrade tensorflow

これは Python 3.6 および tensorflow 1.5 on Windows 10 を使用しています。

1
Tim Hallman

古いMac OS X(10.10.5)を使用している場合は、アップグレードする必要があります。これを実現するには、pip -v install tensorflowverbose機能を使用します。

Skipping link https://pypi.python.org/packages/fb/53/7e3c60081f80eb0e761071ac0bd40c840b2188dd7f7bc432f544f84124a2/tensorflow-1.3.0rc1-cp35-cp35m-macosx_10_11_x86_64.whl#md5=7b17bd79453b2f226d23cb0aa65dbd0a (from https://pypi.python.org/simple/tensorflow/); it is not compatible with this Python

0
lababidi

あなたのコマンドがpip install --upgrade tensorflowcompilesなら、あなたのバージョンのtensorflowは最新のものであるべきです。私は個人的にはanacondaを使うことを好みます。次のように簡単にtensorflowをインストールしてアップグレードすることができます。

 conda install -c conda-forge tensorflow  # to install
 conda upgrade -c conda-forge tensorflow  # to upgrade

あなたがあなたのGPUでそれを使いたいならば、あなたは簡単なインストールがあります:

 conda install -c anaconda tensorflow-gpu

私はしばらくの間それを使っています、そして私は何の問題もありませんでした。

0
silgon

アップデート2019:Google ColabにTensorFlow 2のプレビュー版をインストールするためのあなたが使うことができる: 

!wget https://developer.nvidia.com/compute/cuda/10.0/Prod/local_installers/cuda-repo-ubuntu1604-10-0-local-10.0.130-410.48_1.0-1_AMD64 -O cuda-repo-ubuntu1604-10-0-local-10.0.130-410.48_1.0-1_AMD64.deb !dpkg -i cuda-repo-ubuntu1604-10-0-local-10.0.130-410.48_1.0-1_AMD64.deb !apt-key add /var/cuda-repo-10-0-local-10.0.130-410.48/7fa2af80.pub !apt-get update !apt-get install cuda !pip install tf-nightly-gpu-2.0-preview

tensorFlow 2 bye pipのインストールには、GPUに pip install tf-nightly-gpu-2.0-preview、CPUに pip install tf-nightly-2.0-preview を使用できます。 

0

上記の答えは私が私の問題、特に最初の答えを解決するのに役立ちました。しかし、Pythonのバージョンをチェックした後にその点に追加して、64ビットバージョンである必要があります。

お使いのオペレーティングシステムに基づいて、pipコマンドを使用してtensorflowをインストールするために次のコマンドを使用できます。

次のリンクは、あなたのそれぞれのマシンにtensorflowをインストールするために次のコマンドの最後に追加できるグーグルのapiリンクを持っています。

ルートコマンド:python -m pip install --upgrade(link) link:この中に存在するそれぞれのOSリンク link

0
HEART94

私にとってうまくいった唯一のことは、Anancondaを使用し、conda create -n tensorflow python=3.5を使用して新しいconda envを作成し、次にactivate tensorflowを使用してアクティブ化し、最後にconda install -c conda-forge tensorflowを使用することでした。 

これは、SSL証明書、プロキシ設定など、私が抱えていたすべての問題に対応しており、管理者アクセスを必要としません。これはテンソルフローチームによって直接サポートされていないことに注意すべきです。

出典

0
bendl

利用可能なパッケージを確認するには、 https://pypi.python.org/pypi/tensorflow を確認してください。

これを書いている時点では、ソースパッケージは提供されていませんので、あなたのプラットフォーム用のビルド済みパッケージがなければ、このエラーが発生します。 -vpipコマンドラインに追加すると、PyPIで利用可能なパッケージを繰り返し処理して、互換性がないためにそれらを破棄します。

ビルド済みのパッケージをどこか別の場所に見つけるか、 https://www.tensorflow.org/install/install_sources の指示に従ってそのソースから自分でtensorflowをコンパイルする必要があります。

いくつかのプラットフォーム用にビルドしないのには、もっともな理由があります。

0
ivan_pozdeev

私はその問題を見つけました。

私は以前にPython 2がインストールされているWindowsコンピュータを使用しています。 Python 3がインストールされた後(パスを設定せずに、pip3のバージョンを確認できます。

それから私はパスをpython3実行可能ファイルに設定し(すべてのpython2パスを削除します)それから新しいコマンドプロンプトを開始し、Tensorflowを再インストールしようとします。できます!

私は、MACシステム上にあるデフォルトのpythonがあるので、この問題はMAC OSでも起こり得ると思います。

私は64ビットプロセッサにうまくインストールしました、多分それは32をサポートしません。 

0

tensorflowパッケージにanacondaをインストールしようとしたときに、同じエラーが発生しました。多くの苦労の末、エラーに陥ることなくパッケージをインストールする簡単な方法を見つけました。最初にこのコマンドを使用して、anaconda管理者に環境を作成します

conda create -n packages

その環境をアクティブにします

activate packages 

実行してみてください

pip install tensorflow 

インストールが成功したら、この環境をjupyter notebookからアクセス可能にする必要があります。そのためには、このコマンドを使用してipykernelというパッケージをインストールする必要があります

pip install ipykernel

ipykernelをインストールしたら、次のコマンドを入力します

python -m ipykernel install --user --name=packages

このコマンドを実行すると、この環境がjupyter notebookに追加されます。 jupyter notebookに移動してnew notebookをクリックすると、環境が表示されます。その環境を選択してtensorflowをインポートしてみてください。他のパッケージをインストールする場合は、環境をアクティブにしてそれらのパッケージをインストールし、jupyterでその環境を使用してください

0
user7671217

これが私が Windows 10 のためにしたことです。私はまたPython 2.7の私の以前のインストールを邪魔しませんでした

Step1: インストール Windows x86-64実行可能インストーラをリンクから: https://www.python.org/downloads/release/python-352/

Step2: 管理者として開く cmd enter image description here

Step3: Type このコマンド 

pip install https://storage.googleapis.com/tensorflow/windows/cpu/tensorflow-0.12.0rc0-cp35-cp35m-win_AMD64.whl

あなたはそれがうまくいくことを見るべきです、そして、下の図に示されるように、私はまたサンプル例を試しました。 enter image description here

0
MedImage

TensorFlowがpip経由でインストールされないのには、いくつかの理由が考えられます。私がwindows 10に直面したものは私が私のシステムパスでcudnnのバージョンをサポートしていなかったということでした。現在[2017年12月]、Windows上のテンソルフローはcudnn v6.1のみをサポートしています。そのため、cudnn 6.1のパスを指定してください。それ以外のすべてが正しい場合は、tensorflowをインストールする必要があります。

0
Adarsh

それをインストールする正しい方法は here のようになります

$ pip install --upgrade TF_BINARY_URL   # Python 2.7
$ pip3 install --upgrade TF_BINARY_URL  # Python 3.N

あなたのハードウェアに適したTF_BINARY_URLをテンソル流公式 ホームページ から見つけてください

0
Rahul Thakur

Python 3.5にはAnaconda3-4.2.0-Windows-x86_64。*を使用してください。

0
Rama Thamman